import { type SecurityDefinition } from '../middlewares/impl/before/SecurityMiddleware';
import { type AuthType } from './AbstractSecurityValidationHandler';
import { ApiKeySecurityValidationHandler } from './ApiKeySecurityValidationHandler';
export declare abstract class OpenIdConnectSecurityValidationHandler extends ApiKeySecurityValidationHandler {
    abstract validateOpenIdConnectAuth(token: string, config: SecurityDefinition): boolean;
    protected getAuthType(): AuthType;
}
